org.springframework.batch.core.listener

## Class CompositeRetryWriteListener

- java.lang.Object
- - org.springframework.batch.core.listener.CompositeRetryWriteListener

- All Implemented Interfaces:
    javax.batch.api.chunk.listener.RetryWriteListener

      public class CompositeRetryWriteListener
      extends java.lang.Object
      implements javax.batch.api.chunk.listener.RetryWriteListener

  Composite class holding `RetryWriteListener`'s.

  Since:
    3.0
  Author:
    Chris Schaefer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeRetryWriteListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRetryWriteException(java.util.List<java.lang.Object> items, java.lang.Exception ex)`
    `void` | `register(javax.batch.api.chunk.listener.RetryWriteListener listener)` Register an additional `RetryWriteListener`.
    `void` | `setListeners(java.util.List<? extends javax.batch.api.chunk.listener.RetryWriteListener> listeners)` Public setter for the `RetryWriteListener`'s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeRetryWriteListener

          public CompositeRetryWriteListener()

  - ### Method Detail

    - #### setListeners

          public void setListeners(java.util.List<? extends javax.batch.api.chunk.listener.RetryWriteListener> listeners)

      Public setter for the `RetryWriteListener`'s.

      Parameters:
        `listeners` - the `RetryWriteListener`'s to set

    - #### register

          public void register(javax.batch.api.chunk.listener.RetryWriteListener listener)

      Register an additional `RetryWriteListener`.

      Parameters:
        `listener` - the `RetryWriteListener` to register

    - #### onRetryWriteException

          public void onRetryWriteException(java.util.List<java.lang.Object> items,
                                            java.lang.Exception ex)
                                     throws java.lang.Exception

      Specified by:
        `onRetryWriteException` in interface `javax.batch.api.chunk.listener.RetryWriteListener`
      Throws:
        `java.lang.Exception`